Make sure that your WII have been properly updated to the needed firmware requested by some games such "NEW SUPER MARIO BROS" or any other new games. (!Warning! If you need to upgrade the WII firmware use only game from the same region as your WII to avoid any risk of brick or do it safely via the "WII CONNECT"). Also make sure that your backup ISO is 100% 1:1 proper dump (Not scrubbed,ripped nor modified dump)

2009-09-30 : After several tests we can confirm the rumor about the new firmware 4.2 from NINTENDO breaking imports it removes the ability to play any import at all due to a new check. This is the same for every other mod chip on the market. If you want to continue to have the ability to play newer games or other games that require full update or some specific patch to the NAND you need to do and update if the game requires. you will have to make a choice.

1: keep your wii on OLD firmware and forget some title that need those update to work and continue to play your old imports

or

2: Simply update to 4.2 or higher firmware and be able to play all new titles from the same region as your wii and loose the ability to play any imports.

Unfortunately this is currently the only choice you have due to the way NINTENDO blocked the REGION FREE via the new internal check on firmware 4.2. The R&D team are working on it to find a solution and soon as more news coming out, the web site will be updated with all needed informations.

Wasabi Wii Modchip - Compatible with DMS, D2A, D2B, D2C, D2C2, D2E - Upgradable from DVD - Simply the best